package nc.ui.wa.ctymgt;

import nc.bs.framework.common.NCLocator;
import nc.itf.hr.wa.IClassItemQueryService;
import nc.itf.hr.wa.IClassPowerQueryService;
import nc.itf.hr.wa.IClassPowerService;
import nc.itf.hr.wa.IItemQueryService;
import nc.itf.hr.wa.IWaClass;
import nc.itf.hr.wa.IWaRuleExQueryService;
import nc.itf.hr.wa.IWaRuleExService;
import nc.itf.hr.wa.IWaRuleQueryService;
import nc.itf.hr.wa.IWaRuleService;

/**
 *
 * @author: xuanlt
 * @date: 2009-11-19 上午11:11:51
 * @since: eHR V6.0
 * @走查人:
 * @走查日期:
 * @修改人:
 * @修改日期:
 */
public class CtymgtDelegator {

	
	public static IClassItemQueryService getClassItemQueryService() {
		return (IClassItemQueryService) NCLocator.getInstance().lookup(IClassItemQueryService.class.getName());
	}
 
	public static IItemQueryService getWaItem() {
		return (IItemQueryService) NCLocator.getInstance().lookup(IItemQueryService.class.getName());
	}

	public static IWaClass getWaClass() {
		return (IWaClass) NCLocator.getInstance().lookup(IWaClass.class.getName());
	}

	public static IClassPowerService getClassPowerService() {
		return (IClassPowerService) NCLocator.getInstance().lookup(IClassPowerService.class.getName());
	}


	public static IClassPowerQueryService getClassPowerQueryService() {
		return (IClassPowerQueryService) NCLocator.getInstance().lookup(IClassPowerQueryService.class.getName());
	}

	/**
	 * 薪资规则查询服务<BR>
	 * <BR>
	 * @author xuhw on 2009-11-11
	 * @return IWaRuleQueryService
	 */
	public static IWaRuleQueryService getWaRuleQueryService()
	{
		return NCLocator.getInstance().lookup(IWaRuleQueryService.class);
	}

	/**
	 * 薪资规则应用服务<BR>
	 * <BR>
	 * @author xuhw on 2009-11-11
	 * @return IWaRuleService
	 */
	public static IWaRuleService getWaRuleService()
	{
		return NCLocator.getInstance().lookup(IWaRuleService.class);
	}

	/**
	 * 薪资项目发放控制查询服务<BR>
	 * <BR>
	 * @author xuhw on 2009-11-11
	 * @return IWaRuleQueryService
	 */
	public static IWaRuleExQueryService getWaRuleExQueryService()
	{
		return NCLocator.getInstance().lookup(IWaRuleExQueryService.class);
	}

	/**
	 * 薪资项目发放控制应用服务<BR>
	 * <BR>
	 * @author xuhw on 2009-11-11
	 * @return IWaRuleService
	 */
	public static IWaRuleExService getWaRuleExService()
	{
		return NCLocator.getInstance().lookup(IWaRuleExService.class);
	}
}
